package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSWorldMapIcon_1;

@ObfuscatedName("jp")
public class WorldMapIcon_1 extends AbstractWorldMapIcon implements RSWorldMapIcon_1 {
   @ObfuscatedName("wt")
   @ObfuscatedSignature(
      descriptor = "Ldl;"
   )
   static ClientPreferences clientPreferences;
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 819296275
   )
   final int objectDefId;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Ljl;"
   )
   final WorldMapRegion region;
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = -949927081
   )
   int element;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Ljk;"
   )
   WorldMapLabel label;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = -2079223453
   )
   int subWidth;
   @ObfuscatedName("au")
   @ObfuscatedGetter(
      intValue = 331046403
   )
   int subHeight;

   @ObfuscatedSignature(
      descriptor = "(Lmh;Lmh;ILjl;)V"
   )
   WorldMapIcon_1(Coord var1, Coord var2, int var3, WorldMapRegion var4) {
      super(var1, var2);
      this.objectDefId = var3;
      this.region = var4;
      this.init_base();
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "-450829681"
   )
   void init_base() {
      this.element = WorldMapSection2.method4515(this.objectDefId).method3907().mapIconId;
      this.label = this.region.method4638(class141.method3209(this.element));
      WorldMapElement var1 = class141.method3209(this.getElement_base());
      SpritePixels var2 = var1.method3564(false);
      if(var2 != null) {
         this.subWidth = var2.subWidth;
         this.subHeight = var2.subHeight;
      } else {
         this.subWidth = 0;
         this.subHeight = 0;
      }

   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(I)I",
      garbageValue = "574784276"
   )
   public int getElement_base() {
      return this.element;
   }

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(B)Ljk;",
      garbageValue = "34"
   )
   WorldMapLabel vmethod4977() {
      return this.label;
   }

   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "(I)I",
      garbageValue = "472460923"
   )
   int getSubWidth_base() {
      return this.subWidth;
   }

   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "(I)I",
      garbageValue = "-653051141"
   )
   int getSubHeight_base() {
      return this.subHeight;
   }

   @ObfuscatedName("ox")
   @ObfuscatedSignature(
      descriptor = "(IB)V",
      garbageValue = "-26"
   )
   static void method4514_base(int var0) {
      Client.oculusOrbState = var0;
   }
}
